Gtk_FileSelection(3)

NAME - Gtk_FileSelection

HEADER REQUIRED
#include <gtk--/fileselection.h&gt;>

BASE CLASSES
Gtk_Window(3)

PUBLIC MEMBER INDEX
    Gtk_FileSelection(const _gtk_string &title);
    Gtk_FileSelection(GtkFileSelection *castitem);
    void  set_filename(const string &filename);
    string  get_filename() const;
    void  show_fileop_buttons();
    void  hide_fileop_buttons();
    void  complete(const string &pattern);
    GtkFileSelection*  gtkobj();
    const GtkFileSelection*  gtkobj() const;
    static bool  isGtkFileSelection(Gtk_Object *checkcast);
    Gtk_HBox*  get_action_area();
      Accessors
    Gtk_Entry*  get_selection_entry();
    Gtk_Label*  get_selection_text();
    Gtk_Button*  get_ok_button();
    Gtk_Button*  get_cancel_button();
    const Gtk_HBox*  get_action_area() const;
    const Gtk_Entry*  get_selection_entry() const;
    const Gtk_Label*  get_selection_text() const;
    const Gtk_Button*  get_ok_button() const;
    const Gtk_Button*  get_cancel_button() const;

PROTECTED MEMBER INDEX
    friend  CppClassType;
    typedef GtkFileSelection  BaseObjectType;
    typedef GtkFileSelectionClass  BaseClassType;
    virtual void * get_parent_class();
    Gtk_HBox  action_area_;
    Gtk_Entry  selection_entry_;
    Gtk_Label  selection_text_;
    Gtk_Button  ok_button_;
    Gtk_Button  cancel_button_;

PRIVATE MEMBER INDEX
    static CppClassType  file_selection_class;
    GtkType  get_type();

PUBLIC MEMBER DESCRIPTIONS

PROTECTED MEMBER DESCRIPTIONS

PRIVATE MEMBER DESCRIPTIONS